module.exports = function(grunt) {

	grunt.initConfig({
		pkg: grunt.file.readJSON('package.json'),

		uglify: {
			my_target: {
				files: {
					'js/scripts.min.js': ['<%= pkg.js %>']
				}
			}
		},


		bgShell: {

			_defaults: {
				bg: true
			},

			watchSASS: {
				cmd: 'sass --watch css/style.scss:css/style.css --style compressed',
				bg: false
			}			
		},

		watch: {			

			js:{
				files: ['<%= pkg.js %>'],
				tasks: ['uglify']
			},

			reload:{
				options: {	livereload: true },
				files: ['css/style.css', 'index.html']
			}						

		}					
		   	
	});	

	grunt.loadNpmTasks('grunt-contrib-uglify');
	grunt.loadNpmTasks('grunt-contrib-watch');
	grunt.loadNpmTasks('grunt-bg-shell');
	grunt.registerTask('default', ['bgShell']);
};

